Package org.jfree.layouting.renderer.process

## Class TableValidationStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateStructuralProcessStep
  - - org.jfree.layouting.renderer.process.TableValidationStep

-     public class TableValidationStep
      extends IterateStructuralProcessStep

  Another static processing step which validates the table structure.
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TableValidationStep.TableInfoStructure` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableValidationStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishBlockBox​(BlockRenderBox box)` |
    `protected boolean` | `startBlockBox​(BlockRenderBox box)` |
    `void` | `validate​(LogicalPageBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

      `finishInlineBox, finishNormalFlow, finishOtherBox, finishOtherNode, processBoxChilds, processParagraphChilds, startInlineBox, startNormalFlow, startOtherBox, startOtherNode, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableValidationStep

          public TableValidationStep​()

  - ### Method Detail

    - #### validate

          public void validate​(LogicalPageBox box)

    - #### startBlockBox

          protected boolean startBlockBox​(BlockRenderBox box)

      Overrides:
        `startBlockBox` in class `IterateStructuralProcessStep`

    - #### finishBlockBox

          protected void finishBlockBox​(BlockRenderBox box)

      Overrides:
        `finishBlockBox` in class `IterateStructuralProcessStep`